cURL
curl --request POST \ --url https://public-api.sessionboard.com/v1/event/{eventId}/tracks \ --header 'Content-Type: application/json' \ --header 'x-access-token: <api-key>' \ --data ' { "filters": { "createdAt": { "before": "2023-11-07T05:31:56Z", "after": "2023-11-07T05:31:56Z" }, "updatedAt": { "before": "2023-11-07T05:31:56Z", "after": "2023-11-07T05:31:56Z" }, "status": "accepted" }, "sort": { "order": "createdAt", "sort": "asc" }, "expand": [ "<string>" ] } '
{ "data": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "event_id": 123, "name": "<string>", "color": "<string>", "order": 123, "created_at": "<string>", "updated_at": "<string>" } ], "pagination": { "currentPage": 123, "pageSize": 123, "totalPages": 123, "totalResults": 123 } }
Returns a paginated list of tracks for an event.
API key for authentication. Obtain from the Sessionboard admin dashboard.
The event ID.
Page number for pagination.
1 <= x <= 999
Number of results per page.
1 <= x <= 100
Common search request body used across multiple endpoints.
Show child attributes
Sorting options for search results.
Expand records with additional data. Possible values: translated_fields
OK
Pagination metadata returned with list responses.